Skip to content
OpenPostDocs
OpenPostDocs
Auth

Enable or disable an organization identity provider

PATCH/organizations/{organization_id}/identity-providers/{provider_id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

organization_id*string
provider_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/organizations/string/identity-providers/string" \  -H "Content-Type: application/json" \  -d '{    "active": true  }'
{  "$schema": "https://example.com/api/v1/schemas/OIDCProviderActiveOutputBody.json",  "active": true,  "revoked_sessions": 0}